---
title: PaymentAddress.regionCode
slug: Web/API/PaymentAddress/regionCode
tags:
  - API
  - Address
  - Oblast
  - Payment Request
  - Payment Request API
  - Prefecture
  - Property
  - Province
  - Read-only
  - Reference
  - payment
  - paymentAddress
  - region
  - regionCode
  - state
---
<p>{{APIRef("Payment Request API")}}{{obsolete_header}}</p>

<p>The <strong><code>regionCode</code></strong> read-only attribute of the {{domxref('PaymentAddress')}} interface returns a one-, two-, or three-alphanumeric code ({{domxref("DOMString")}}) representing the region of the address (e.g., "CA" for California, or "11" for Lisbon, Portugal).</p>

<p>The code is derived from the ISO 3166-2 standard, which defines codes for identifying the subdivisions (e.g., states, provinces, autonomous regions, etc.) of all countries in the world.</p>

<p>If the browser can't determine the region code, or the country doesn't use regions for postal addresses, it returns an empty string.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>regionCode</em> = <em>paymentAddress</em>.regionCode;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} indicating the one to three character alphanumeric code representing the region portion of the address. This should correspond to <code>region</code>, but should be the ISO 3166--2 standard's region code. The string is empty if the region code couldn't be determined, isn't needed for the address's {{domxref("PaymentAddress.country", "country")}}, or was not provided.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentAddress.regionCode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="http://www.unece.org/cefact/locode/subdivisions.html">United Nations: UN/LOCODE Country Subdivisions ISO 3166-2</a></li>
 <li>{{interwiki("wikipedia", "ISO 3166-2")}} on Wikipedia</li>
</ul>

</div>
